Sieve GDAL error Not recognized as an internal or external command

2018-10-07 04:07 PM - JOSE ANTONIO VERA

Status: Closed

Priority: Normal

Assignee:

Category: GDAL Tools

Affected QGIS version:3.2.3 Regression?: No

Operating System: Windows 10 64bits 1803 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 27865

Description

Operating system Windows 10 64 bit

QGIS 3.2.3 Bonn

GDAL version 2.2.4

Problem:

"C:\PROGRA~1\QGIS" Not recognized as an internal or external command,program or batch file Executable.

Processing algorithm…

Algoritmo 'Filtrado' comenzando…

Input parameters:{ 'EIGHT_CONNECTEDNESS' : True, 'INPUT' : 'C:/Curso Change Detection for Land Cover Mapping/Sesion

2/Tan1993_2016_Stacked_Class_3x3.sdat', 'MASK_LAYER' : None, 'NO_MASK' : False, 'OUTPUT' : 'C:/Curso Change Detection for

Land Cover Mapping/Sesion 2/Tan1993_2016_Stacked_Class_3x3_se.sdat', 'THRESHOLD' : 10 }

GDAL command:

cmd.exe /C gdal_sieve.bat -st 10 -8 -mask C:/Curso Change Detection for Land Cover Mapping/Sesion

2/Tan1993_2016_Stacked_Class_3x3.sdat -of SAGA "C:/Curso Change Detection for Land Cover Mapping/Sesion

2/Tan1993_2016_Stacked_Class_3x3.sdat" "C:/Curso Change Detection for Land Cover Mapping/Sesion

2/Tan1993_2016_Stacked_Class_3x3_se.sdat" 

GDAL command output:

"C:\PROGRA~1\QGIS" no se reconoce como un comando interno o externo,

programa o archivo por lotes ejecutable.

gdal_sieve [-q] [-st threshold] [-4] [-8] [-o name=value]

srcfile [-nomask] [-mask filename] [-of format] [dstfile]

Execution completed in 0.65 seconds

Results:{'OUTPUT': <QgsProcessingOutputLayerDefinition {'sink':C:/Curso Change Detection for Land Cover Mapping/Sesion

2/Tan1993_2016_Stacked_Class_3x3_se.sdat, 'createOptions': {'fileEncoding': 'System'}}>}

Cargando las capas resultantes

Las siguientes capas no se generaron correctamente.

C:/Curso Change Detection for Land Cover Mapping/Sesion 2/Tan1993_2016_Stacked_Class_3x3_se.sdat

Puede comprobar el «Panel de mensajes del registro» en la ventana principal de QGIS para encontrar más información sobre la

ejecución del algoritmo.
History

#1 - 2018-10-08 10:19 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Subject changed from Sieve GDAL error Not recognized as an internal or external command..... to Sieve GDAL error Not recognized as an internal or 

external command

"gdal tools", you sure? or you run the command from the Processing toolbox?

Start by trying again using QGIS 3 with a new/clean profile.

#2 - 2018-10-08 04:00 PM - JOSE ANTONIO VERA

- File Error GDAL Sieve.jpg added

- Assignee set to Giovanni Manghi

I have the same error.

I understand that "GDAL Tools" is native to QGIS 3.2.3.

I've run the process in both, from main Menu > Raster > Analysis > filtering. And from the "Process toolbox".

I have the following plugins installed:

1. OpenLayers

2. Semi-Automatic Classification Plugin

3. Value Tool

4. TimeManager

#3 - 2018-10-09 11:32 AM - Giovanni Manghi

- Assignee deleted (Giovanni Manghi)

JOSE ANTONIO VERA wrote:

I have the same error.

I understand that "GDAL Tools" is native to QGIS 3.2.3.

"gdal tools" tools are now part of the qgis processing toolbox only

I've run the process in both, from main Menu > Raster > Analysis > filtering. And from the "Process toolbox".

I have the following plugins installed:

1. OpenLayers

2. Semi-Automatic Classification Plugin

3. Value Tool

4. TimeManager

trying replicate an issue with no 3rd party plugins installed is always a good idea (create a new profile and try again).

I just tested on QGIS  3.2 on Windows and is ok here. Can you run any other GDAL tool?

#4 - 2018-10-09 04:43 PM - JOSE ANTONIO VERA

2024-04-28 2/5



I was able to do the process with GDAL Sieve in QGIS 3.2.3

It was only done in a folder other than C:

I did it in \documents\ directly and without a subfolder, because if it does not mark error.

Thank you Giovanni Manghi.

#5 - 2018-10-09 08:24 PM - Giovanni Manghi

JOSE ANTONIO VERA wrote:

I was able to do the process with GDAL Sieve in QGIS 3.2.3

It was only done in a folder other than C:

I did it in \documents\ directly and without a subfolder, because if it does not mark error.

Thank you Giovanni Manghi.

does it mean that if the input has a different path (example: no spaces) the tool work?

#6 - 2018-10-12 03:01 PM - JOSE ANTONIO VERA

Giovanni Manghi wrote:

JOSE ANTONIO VERA wrote:

I was able to do the process with GDAL Sieve in QGIS 3.2.3

It was only done in a folder other than C:

I did it in \documents\ directly and without a subfolder, because if it does not mark error.

Thank you Giovanni Manghi.

means that It only works if the destination folder is: \Documents or \my Desktop or at the root of an external hard drive for example E:. It does not

accept it in subfolders.

#7 - 2018-10-12 03:57 PM - Giovanni Manghi

means that It only works if the destination folder is: \Documents or \my Desktop or at the root of an external hard drive for example E:. It does not

accept it in subfolders.

can you make an example of a path that doesn't work?

#8 - 2018-10-12 04:22 PM - JOSE ANTONIO VERA

- File Example 1.jpg added

- File Example 2.jpg added

- File Example 3.jpg added
Giovanni Manghi wrote:

means that It only works if the destination folder is: \Documents or \my Desktop or at the root of an external hard drive for example E:. It does not

accept it in subfolders.

can you make an example of a path that doesn't work?

EXAMPLE OF A PATHS THAT DOESN´T WORK

C:\Land changes\.... or C:\My Destop\Session1\.... or External hard Drive E:\Practices QGIS\Practice1\....

EXAMPLE OF A PATHS THATS WORK

C:\Documents\ or C:\My Destop\ or External hard Drive E:\

CONCLUSION: "Input and output files should not be in folder or subfolders" "The input and output files must be directly in the root"

#9 - 2018-10-12 04:39 PM - Giovanni Manghi

JOSE ANTONIO VERA wrote:

Giovanni Manghi wrote:

means that It only works if the destination folder is: \Documents or \my Desktop or at the root of an external hard drive for example E:. It does

not accept it in subfolders.

can you make an example of a path that doesn't work?

EXAMPLE OF A PATHS THAT DOESN´T WORK

C:\Land changes\.... or C:\My Destop\Session1\.... or External hard Drive E:\Practices QGIS\Practice1\....

EXAMPLE OF A PATHS THATS WORK

C:\Documents\ or C:\My Destop\ or External hard Drive E:\

CONCLUSION: "Input and output files should not be in folder or subfolders" "The input and output files must be directly in the root"

I would be more inclined to think that are the spaces in the path that are the problem.

#10 - 2019-02-05 10:42 AM - Nyall Dawson

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

This is fixed in recent 3.2/3.4 builds

Files

Error GDAL.txt 1.58 KB 2018-10-07 JOSE ANTONIO VERA

Error GDAL Sieve.jpg 95.3 KB 2018-10-08 JOSE ANTONIO VERA

Example 2.jpg 53.6 KB 2018-10-12 JOSE ANTONIO VERA

Example 1.jpg 80.6 KB 2018-10-12 JOSE ANTONIO VERA
Example 3.jpg 55.4 KB 2018-10-12 JOSE ANTONIO VERA
